Run Codexgate Scenario
POST
/v1/admin/codexgate/scenarios/{scenario_key}/runs
const url = 'https://example.com/v1/admin/codexgate/scenarios/example/runs';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"default","run_mode":"plan","codex_command":"","runner_kind":"","runner_endpoint":"","validator_command":"","github_ref":"","pr_number":1,"issue_number":1,"merge_sha":"","signal_key":"","notes":""}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/admin/codexgate/scenarios/example/runs \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "default", "run_mode": "plan", "codex_command": "", "runner_kind": "", "runner_endpoint": "", "validator_command": "", "github_ref": "", "pr_number": 1, "issue_number": 1, "merge_sha": "", "signal_key": "", "notes": "" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”scenario_key
required
Scenario Key
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CodexGateScenarioRunRequestIn
object
tenant_id
Tenant Id
string
run_mode
Run Mode
string
codex_command
Codex Command
string
runner_kind
Runner Kind
string
runner_endpoint
Runner Endpoint
string
validator_command
Validator Command
string
github_ref
Github Ref
string
merge_sha
Merge Sha
string
signal_key
Signal Key
string
notes
Notes
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CodexGateScenarioRunOut
object
run_id
required
Run Id
string
scenario
required
CodexGateScenarioOut
object
scenario_key
required
Scenario Key
string
title
required
Title
string
domain
Domain
string
pack_key
Pack Key
string
asset_kind
Asset Kind
string
entrypoint
Entrypoint
string
objective
Objective
string
operator_prompt
Operator Prompt
string
probe_steps
Probe Steps
Array<object>
CodexGateProbeStepobject
action
required
Action
string
name
Name
string
path
Path
string
selector
Selector
string
text
Text
string
value
Value
string
budget_ms
Budget Ms
integer
optional
Optional
boolean
expected_output
Expected Output
string
signal_kinds
Signal Kinds
Array<string>
gitops_surface
Gitops Surface
string
expected_artifacts
Expected Artifacts
Array<string>
codex_prompt_template
Codex Prompt Template
string
acceptance_contract
Acceptance Contract
string
evaluation_focus
Evaluation Focus
Array<string>
tags
Tags
Array<string>
priority
Priority
string
requires_playwright
Requires Playwright
boolean
status
Status
string
runner_kind
Runner Kind
string
codex_command
Codex Command
string
codex_model
Codex Model
string
codex_reasoning_effort
Codex Reasoning Effort
string
validator_command
Validator Command
string
github_ref
Github Ref
string
merge_sha
Merge Sha
string
promotion_decision
Promotion Decision
string
artifact_path
Artifact Path
string
stdout
Stdout
string
stderr
Stderr
string
validator_status
Validator Status
string
artifact_files
Artifact Files
Array<string>
feedback
required
CodexGateScenarioFeedbackOut
object
practicality
Practicality
string
performance
Performance
string
input
Input
string
output_expectation
Output Expectation
string
improvement_suggestions
Improvement Suggestions
Array<string>
Example
{ "scenario": { "domain": "", "pack_key": "", "asset_kind": "", "entrypoint": "", "objective": "", "operator_prompt": "", "probe_steps": [ { "action": "goto", "name": "", "path": "", "selector": "", "text": "", "value": "", "budget_ms": 0, "optional": false } ], "expected_output": "", "gitops_surface": "", "codex_prompt_template": "", "acceptance_contract": "", "evaluation_focus": [ "practicality" ], "priority": "standard", "requires_playwright": true }, "status": "planned", "runner_kind": "", "codex_command": "", "codex_model": "", "codex_reasoning_effort": "", "validator_command": "", "github_ref": "", "merge_sha": "", "promotion_decision": "promote", "artifact_path": "", "stdout": "", "stderr": "", "validator_status": "not_run", "feedback": { "practicality": "", "performance": "", "input": "", "output_expectation": "" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}